Bug 426221 - An open split view is immediately closed when you turn on/off save tabs feature
Summary: An open split view is immediately closed when you turn on/off save tabs feature
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-05 19:25 UTC by popov895
Modified: 2021-09-28 19:39 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08.2


Attachments
The active pane is closed. (219.55 KB, video/mp4)
2020-09-05 19:25 UTC, popov895
Details

Note You need to log in before you can comment on or make changes to this bug.
Description popov895 2020-09-05 19:25:01 UTC
Created attachment 131438 [details]
The active pane is closed.

STEPS TO REPRODUCE

1. Open Dolphin
2. Split view into two panes (press F3)
3. Open Dolphin settings (press Ctrl+Shift+,)
4. Go to "Startup" category
5. Change "Show on startup" option (turn on/off save tabs feature)

OBSERVED RESULT

The active pane is closed.

EXPECTED RESULT

The active pane remains open.

SOFTWARE/OS VERSIONS

Linux/KDE Plasma: KDE neon 5.19 User Edition
KDE Plasma Version: 5.19.5
KDE Frameworks Version: 5.73.0
KDE Applications: 20.08.1
Qt Version: 5.14.2
Comment 1 Nate Graham 2020-09-05 20:05:14 UTC
Split View status is one of the things that gets saved when this feature is turned on. If yo want split views to always be on even when not using the "save state" feature, you want to do this:

Dolphin Settings > Startup page > check "Begin in split view mode"
Comment 2 popov895 2020-09-05 22:07:06 UTC
Please, watch the attached video
Comment 3 Nate Graham 2020-09-07 10:56:12 UTC
Ah, my bad. Can reproduce.
Comment 4 Bug Janitor Service 2021-07-26 12:19:01 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/245
Comment 5 Bug Janitor Service 2021-07-28 12:42:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/247
Comment 6 Bug Janitor Service 2021-09-22 18:00:23 UTC
A possibly relevant merge request was started @ https://invent.kde.org/system/dolphin/-/merge_requests/275
Comment 7 Nate Graham 2021-09-28 19:39:56 UTC
Git commit fa8d9de4d866070acadd57178d20144bb5e62a0a by Nate Graham, on behalf of Eugene Popov.
Committed on 28/09/2021 at 19:39.
Pushed by ngraham into branch 'release/21.08'.

Fix closing a secondary viewContainer on startup settings change

Apply split view settings only when changing the corresponding option.
FIXED-IN: 21.08.2

M  +9    -5    src/dolphinmainwindow.cpp
M  +3    -0    src/dolphinmainwindow.h
M  +2    -0    src/settings/dolphin_generalsettings.kcfg

https://invent.kde.org/system/dolphin/commit/fa8d9de4d866070acadd57178d20144bb5e62a0a